import { BaseType } from "../Base/Base";
declare type PriorityQueue<T> = {
    push: (element: T) => void;
    pop: () => void;
    top: () => T;
} & BaseType;
/**
 * @param container
 * @param cmp default cmp will generate a max heap
 * @constructor
 */
declare function PriorityQueue<T>(this: PriorityQueue<T>, container: {
    forEach: (callback: (element: T) => void) => void;
} | undefined, cmp: (x: T, y: T) => number): void;
declare const _default: new <T>(container?: {
    forEach: (callback: (element: T) => void) => void;
} | undefined, cmp?: ((x: T, y: T) => number) | undefined) => PriorityQueue<T>;
export default _default;
